libzypp: zyppng::sat::ArchitectureComponent Class Reference

libzypp 17.38.11

zyppng::sat::ArchitectureComponent Class Reference

Component managing the Pool architecture. More...

`#include <zypp/ng/sat/components/architecturecomponent.h>`

Inheritance diagram for zyppng::sat::ArchitectureComponent:

## Public Types
using | ArchitectureProvider = std::function<zypp::Arch()>
| Provider function returning an Arch.

## Public Member Functions
| ArchitectureComponent ()=default
void | setProvider (ArchitectureProvider provider)
| Set a custom architecture provider.
zypp::Arch | arch () const
| Get the current architecture.
InitStage | stage () const override
int | priority () const override
| Fine-grained ordering within a stage.
void | attach (Pool &pool) override
void | prepare (Pool &pool) override
void | onRepoAdded (Pool &pool, detail::RepoIdType id) override
void | onReset (Pool &pool) override
Public Member Functions inherited from zyppng::sat::detail::IBasicPoolComponent
virtual void | checkDirty (Pool &)
| Probe external state.
virtual void | onInvalidate (Pool &, PoolInvalidation)
| React to pool invalidation — clear internal caches.
virtual void | onRepoRemoved (Pool &, RepoIdType)
virtual | ~IBasicPoolComponent ()=default
| IBasicPoolComponent ()=default
| IBasicPoolComponent (const IBasicPoolComponent &)=delete
| IBasicPoolComponent (IBasicPoolComponent &&)=delete
IBasicPoolComponent & | operator= (const IBasicPoolComponent &)=delete
IBasicPoolComponent & | operator= (IBasicPoolComponent &&)=delete

## Private Attributes
Pool * | _pool = nullptr
ArchitectureProvider | _provider
SerialNumberWatcher | _watcher

## Detailed Description

Component managing the Pool architecture.

This component ensures that libsolv's internal architecture is synced with the system or a custom provider whenever the pool content changes.

Definition at line 30 of file architecturecomponent.h.

## Member Typedef Documentation

## ◆ ArchitectureProvider

using zyppng::sat::ArchitectureComponent::ArchitectureProvider = std::function<zypp::Arch()>

Provider function returning an Arch.

Definition at line 33 of file architecturecomponent.h.

## Constructor & Destructor Documentation

## ◆ ArchitectureComponent()

zyppng::sat::ArchitectureComponent::ArchitectureComponent | ( |  | ) |
| default

## Member Function Documentation

## ◆ setProvider()

void zyppng::sat::ArchitectureComponent::setProvider | ( | ArchitectureProvider | provider | ) |

Set a custom architecture provider.

Definition at line 21 of file architecturecomponent.cc.

## ◆ arch()

zypp::Arch zyppng::sat::ArchitectureComponent::arch | ( |  | ) | const
| inline

Get the current architecture.

Definition at line 41 of file architecturecomponent.h.

## ◆ stage()

InitStage zyppng::sat::ArchitectureComponent::stage | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from zyppng::sat::IPoolComponent.

Definition at line 44 of file architecturecomponent.h.

## ◆ priority()

int zyppng::sat::ArchitectureComponent::priority | ( |  | ) | const
| inlineoverridevirtual

Fine-grained ordering within a stage.

Lower values run earlier. Default is 0.

Note
  Prefer stage() for coarse ordering; use priority() only when ordering within a stage matters.

Reimplemented from zyppng::sat::IPoolComponent.

Definition at line 45 of file architecturecomponent.h.

## ◆ attach()

void zyppng::sat::ArchitectureComponent::attach | ( | Pool & | pool | ) |
| overridevirtual

Reimplemented from zyppng::sat::IPoolComponent.

Definition at line 29 of file architecturecomponent.cc.

## ◆ prepare()

void zyppng::sat::ArchitectureComponent::prepare | ( | Pool & | pool | ) |
| overridevirtual

Reimplemented from zyppng::sat::IPoolComponent.

Definition at line 34 of file architecturecomponent.cc.

## ◆ onRepoAdded()

void zyppng::sat::ArchitectureComponent::onRepoAdded | ( | Pool & | pool,
|  | detail::RepoIdType | id )
| overridevirtual

Reimplemented from zyppng::sat::detail::IBasicPoolComponent.

Definition at line 46 of file architecturecomponent.cc.

## ◆ onReset()

void zyppng::sat::ArchitectureComponent::onReset | ( | Pool & | pool | ) |
| overridevirtual

Reimplemented from zyppng::sat::detail::IBasicPoolComponent.

Definition at line 41 of file architecturecomponent.cc.

## Member Data Documentation

## ◆ _pool

Pool* zyppng::sat::ArchitectureComponent::_pool = nullptr
| private

Definition at line 53 of file architecturecomponent.h.

## ◆ _provider

ArchitectureProvider zyppng::sat::ArchitectureComponent::_provider
| private

Definition at line 54 of file architecturecomponent.h.

## ◆ _watcher

SerialNumberWatcher zyppng::sat::ArchitectureComponent::_watcher
| private

Definition at line 55 of file architecturecomponent.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/components/architecturecomponent.h
- zypp/ng/sat/components/architecturecomponent.cc